gateways:
  duckdb:
    connection:
      type: duckdb
      catalogs:
        local: "{{ env_var('DUCKDB_PATH', 'data/lakehouse.duckdb') }}"
      extensions:
        - spatial

default_gateway: duckdb

variables:
  LANDING_DIR: "{{ env_var('LANDING_DIR', 'data/landing') }}"

model_defaults:
  dialect: duckdb
  start: 2025-01-01
  cron: '@daily'

default_target_environment: "dev_{{ user() }}"
